# QwtScaleArithmetic Class Reference

Arithmetic including a tolerance. More...

`#include <qwt_scale_engine.h>`

List of all members.

## Static Public Member Functions

static double | ceil125 (double x)
static double | ceilEps (double value, double intervalSize)
static double | divideEps (double interval, double steps)
static double | floor125 (double x)
static double | floorEps (double value, double intervalSize)

## Detailed Description

Arithmetic including a tolerance.

## Member Function Documentation

double QwtScaleArithmetic::ceil125 | ( | double | x | ) | `[static]`

Find the smallest value out of {1,2,5}*10^n with an integer number n which is greater than or equal to x

Parameters:

  x | Input value

double QwtScaleArithmetic::ceilEps | ( | double | value,
|  | double | intervalSize
| ) |  | `[static]`

Ceil a value, relative to an interval

Parameters:

  value | Value to ceil
  intervalSize | Interval size

See also:
  floorEps()

double QwtScaleArithmetic::divideEps | ( | double | intervalSize,
|  | double | numSteps
| ) |  | `[static]`

Divide an interval into steps.

Parameters:

  intervalSize | Interval size
  numSteps | Number of steps

Returns:
  Step size

double QwtScaleArithmetic::floor125 | ( | double | x | ) | `[static]`

Find the largest value out of {1,2,5}*10^n with an integer number n which is smaller than or equal to x.

Parameters:

  x | Input value

double QwtScaleArithmetic::floorEps | ( | double | value,
|  | double | intervalSize
| ) |  | `[static]`

Floor a value, relative to an interval

Parameters:

  value | Value to floor
  intervalSize | Interval size

See also:
  floorEps()